# Current algorithms in FractionalDiffEq.jl

```@contents
Pages = ["algorithms.md"]
```

## Fractional Ordinary Differential Equations

```@docs
FractionalDiffEq.PECE
FractionalDiffEq.FODEMatrixDiscrete
FractionalDiffEq.ClosedForm
FractionalDiffEq.ClosedFormHankelM
FractionalDiffEq.GL
FractionalDiffEq.PIEx
FractionalDiffEq.PIIm
FractionalDiffEq.PITrap
FractionalDiffEq.IMEX_I
FractionalDiffEq.IMEX_I_A
FractionalDiffEq.IMEX_II
FractionalDiffEq.ChebSpectral
```

## Fractional Partial Differential Equations

```@docs
FractionalDiffEq.FPDEMatrixDiscrete
FractionalDiffEq.FiniteDiffEx
FractionalDiffEq.FiniteDiffIm
FractionalDiffEq.ADV_DIF
FractionalDiffEq.GLDiff
```

## Fractional Delay Differential Equatinos

```@docs
FractionalDiffEq.DelayPECE
FractionalDiffEq.DelayPI
FractionalDiffEq.MatrixForm
FractionalDiffEq.DelayABM
FractionalDiffEq.DelayABMYuan
```

## Systems of Fractional Differential Equations

```@docs
FractionalDiffEq.NonLinearAlg
FractionalDiffEq.GLWithMemory
```

## Distributed Order Differential Equations

```@docs
FractionalDiffEq.DOMatrixDiscrete
```

## Fractional Differences Equations

```@docs
FractionalDiffEq.PECEDifference
```

## Fractional Integral Equations

```@docs
FractionalDiffEq.SpectralUltraspherical
```